using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableDisCoKeyword)]
    [Api(Description = "关键词共现")]
    public class DisCoKeyword : EntityWithMetadata
    {
        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "关键词1")]
        public string KeyWord1 { get; set; }

        [ApiMember(Description = "关键词2")]
        public string KeyWord2 { get; set; }

        [ApiMember(Description = "关键词共现频次")]
        public int Count { get; set; }
    }
}
